void s2650_LODr();
void s2650_R0();
void s2650_R1();
void s2650_R2();
void s2650_R3();
void s2650_LODm();
void s2650_IMM();
void s2650_REL();
void s2650_ABS();
void s2650_ERR();
void s2650_SPSU();
void s2650_SPSL();
void s2650_RETC();
void s2650_EQ();
void s2650_GT();
void s2650_LT();
void s2650_UN();
void s2650_BRReq();
void s2650_BRAeq();
void s2650_EORr();
void s2650_EORm();
void s2650_REDp();
void s2650_CTL();
void s2650_RETE();
void s2650_BSReq();
void s2650_BSAeq();
void s2650_HALT();
void s2650_ANDr();
void s2650_ANDm();
void s2650_RRR();
void s2650_EXT();
void s2650_BRRne();
void s2650_NR();
void s2650_BRAne();
void s2650_IORr();
void s2650_IORm();
void s2650_DAT();
void s2650_CPSU();
void s2650_CPSL();
void s2650_PPSU();
void s2650_PPSL();
void s2650_BSRne();
void s2650_BSAne();
void s2650_ADDr();
void s2650_ADDm();
void s2650_LPSU();
void s2650_LPSL();
void s2650_DAR();
void s2650_ZBRR();
void s2650_BXA();
void s2650_SUBr();
void s2650_SUBm();
void s2650_WRTp();
void s2650_TPSU();
void s2650_TPSL();
void s2650_ZBSR();
void s2650_BSXA();
void s2650_NOP();
void s2650_STRr();
void s2650_STRm();
void s2650_RRL();
void s2650_IR();
void s2650_COMr();
void s2650_COMm();
void s2650_TMI();
void s2650_DR();






























































































































































































